Subject: Re: [bitcoin-dev] I do not support the BIP 148 UASF

From: James Hilliard <[email-masked]>
Date: Fri, 14 Apr 2017 14:33:49 -0500

On Fri, Apr 14, 2017 at 2:20 PM, Tom Zander via bitcoin-dev
<[email-masked]> wrote:
> On Friday, 14 April 2017 09:56:31 CEST Gregory Maxwell via bitcoin-dev
> wrote:
>> Segwit was carefully engineered so that older unmodified miners could
>> continue operating _completely_ without interruption after segwit
>> activates.
>
>
>> They [Older nodes] can
>> upgrade to it [segwit] on their own schedule. The only risk
>> non-participating
>> miners take after segwit activation is that if someone else mines an
>> invalid block they would extend it,
>
> This is false,
>
> a segwit transaction to the miner you describe is an "everyone can spend"
> transaction, and as such a miner that does not validate the segregated area
> in a post-segwit world will be able to create blocks that will not validate
> for segwit miners by including a transaction that spends a SW tx.
>
> This would then lead to a chain-fork as the SW miners reject it and the non-
> SW miners continue to mine on it.

This is false,

Those "everyone can spend" transactions are prohibited from being
mined due to policy rules. The risk is only in regards to mining on
top of an invalid block that intentionally mined an invalid SW
transaction.
>
>
> --
> Tom Zander
> Blog: https://zander.github.io
> Vlog: https://vimeo.com/channels/tomscryptochannel
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev